## liboggplay 0.3.0

=== doc/liboggplay/latex/Makefile ===
LATEX_CMD?=latex
MKIDX_CMD?=makeindex
BIBTEX_CMD?=bibtex
LATEX_COUNT?=8
MANUAL_FILE?=refman

all: $(MANUAL_FILE).dvi

ps: $(MANUAL_FILE).ps

pdf: $(MANUAL_FILE).pdf

ps_2on1: $(MANUAL_FILE).ps

pdf_2on1: $(MANUAL_FILE).pdf

$(MANUAL_FILE).ps: $(MANUAL_FILE).dvi
	dvips -o $(MANUAL_FILE).ps $(MANUAL_FILE).dvi

$(MANUAL_FILE).pdf: $(MANUAL_FILE).ps
	ps2pdf $(MANUAL_FILE).ps $(MANUAL_FILE).pdf

$(MANUAL_FILE).dvi: clean $(MANUAL_FILE).tex doxygen.sty
	echo "Running latex..."
	$(LATEX_CMD) $(MANUAL_FILE).tex
	echo "Running makeindex..."
	$(MKIDX_CMD) $(MANUAL_FILE).idx
	echo "Rerunning latex...."
	$(LATEX_CMD) $(MANUAL_FILE).tex
	latex_count=$(LATEX_COUNT) ; \
	while egrep -s 'Rerun (LaTeX|to get cross-references right|to get bibliographical references right)' $(MANUAL_FILE).log && [ $$latex_count -gt 0 ] ;\
	    do \
	      echo "Rerunning latex...." ;\
	      $(LATEX_CMD) $(MANUAL_FILE).tex ; \
	      latex_count=`expr $$latex_count - 1` ;\
	    done
	$(MKIDX_CMD) $(MANUAL_FILE).idx
	$(LATEX_CMD) $(MANUAL_FILE).tex

$(MANUAL_FILE).ps: $(MANUAL_FILE).ps
	psnup -2 $(MANUAL_FILE).ps >$(MANUAL_FILE).ps

$(MANUAL_FILE).pdf: $(MANUAL_FILE).ps
	ps2pdf $(MANUAL_FILE).ps $(MANUAL_FILE).pdf

clean:
	rm -f *.ps *.dvi *.aux *.toc *.idx *.ind *.ilg *.log *.out *.brf *.blg *.bbl $(MANUAL_FILE).pdf

## liboggplay 0.2.1~git20091227

=== debian/changelog ===
liboggplay (0.2.1~git20091227-5) unstable; urgency=medium

  * Bumped Standards-Version to 4.1.3
  * Removed the --with quilt argument

 -- Rodrigo Siqueira <siqueira@ime.usp.br>  Thu, 12 Apr 2018 12:51:50 -0300

liboggplay (0.2.1~git20091227-4) unstable; urgency=medium

  * Marked liboggplay1 with Multi-Arch: same
  * Marked liboggplay1-dev with Multi-Arch: same
  * Declare compliance with Debian Policy 4.1.1

  [ Lucas Kanashiro ]
  * debian/control: change Priority to optional, extra was deprecated in Debian
    Policy 4.0.1
  * debian control: remove unnecessary Testsuite field, it is automatically
    added by dpkg

 -- Rodrigo Siqueira <siqueira@ime.usp.br>  Wed, 01 Nov 2017 10:48:45 -0300

liboggplay (0.2.1~git20091227-3) unstable; urgency=medium

  * New maintainer (Closes: #791527)
  * Updated copyright to accomplish the machine-readable requirements
  * Upgraded to debhelper 9
  * Update liboggplay1-dev.install and liboggplay1.install to attend Debian
    Policy 4.0.0
  * Added source/format and upgraded to quilt 3.0
  * Bumped Standards-Version to 4.0.0
  * Added package tests with autopkgtests tool

 -- Rodrigo Siqueira <siqueira@ime.usp.br>  Fri, 25 Aug 2017 18:16:34 +0000

liboggplay (0.2.1~git20091227-2) unstable; urgency=medium

  * QA upload.
  * Add -lm to the linker flags (closes: #768668).
  * Set maintainer to the Debian QA Group (closes: #768856).

 -- Michael Gilbert <mgilbert@debian.org>  Tue, 11 Nov 2014 03:19:58 +0000

liboggplay (0.2.1~git20091227-1.3) unstable; urgency=low

  * Non-maintainer upload.

  [ Logan Rosen ]
  * Use dh-autoreconf instead of autotools-dev to also fix FTBFS on ppc64el by
    getting new libtool macros (still updates config.{sub,guess}).
  * Add AC_CONFIG_MACRO_DIR([m4]) to configure.ac to fix FTBFS while
    autoreconfing.

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Thu, 22 May 2014 18:22:12 +0100

liboggplay (0.2.1~git20091227-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Don't ship .la files (Closes: #622415).

 -- Luk Claes <luk@debian.org>  Sat, 25 Jun 2011 14:42:31 +0200

liboggplay (0.2.1~git20091227-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * Fix CVE-2009-3388 with patch from Matthew Gregan in
    http://hg.mozilla.org/releases/mozilla-1.9.1/rev/14dd26404792
    (Closes: #575743)
  * Urgency set to high for security related RC bug fix
  * Add version (>= 0.46-7~) to build-depen on quilt to avoid ftp-master
    auto-reject

 -- Alexander Reichle-Schmehl <tolimar@debian.org>  Thu, 15 Apr 2010 04:11:22 +0200

liboggplay (0.2.1~git20091227-1) unstable; urgency=low

  * Compiling on GNU/kFreeBSD fixed upstream (Closes: #560798).

 -- John Francesco Ferlito <johnf@inodes.org>  Sun, 27 Dec 2009 00:10:42 +1100

liboggplay (0.2.1~git20091120-1) unstable; urgency=low

  * Use latest git version.
  * Move to debhelper dh.
  * Add ${misc:Depends}.
  * Patch for CVE-2009-3378 (Closes: #552743).
  * Fix missing files in -dev package (Closes: #557774).
  * Add README.source as we are now using quilt.

 -- John Francesco Ferlito <johnf@inodes.org>  Sat, 12 Dec 2009 13:45:51 +1100

liboggplay (0.2.1~git20090930-2) unstable; urgency=low

  * Build against liboggz2.
  * Rename liboggplay-dev package to liboggplay1-dev.
  * Bump the standards version to 3.8.3.

 -- John Francesco Ferlito <johnf@inodes.org>  Sat, 10 Oct 2009 00:09:23 +1100

liboggplay (0.2.1~git20090930-1) unstable; urgency=low

  * Initial release (Closes: #511981)

 -- John Francesco Ferlito <johnf@inodes.org>  Sat, 30 May 2009 13:22:55 +1000

=== debian/control ===
Source: liboggplay
Priority: optional
Maintainer: Rodrigo Siqueira <siqueira@ime.usp.br>
Build-Depends: debhelper (>= 9),
               quilt,
               dh-autoreconf,
               pkg-config,
               liboggz-dev,
               libfishsound-dev,
               libtheora-dev,
               libkate-dev,
               libsndfile-dev
Standards-Version: 4.1.3
Section: libs

Package: liboggplay1
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Library for playing OGG multimedia
 liboggplay was designed to allow drop-in playback of Xiph.Org media in an
 application. liboggplay handles demuxing and decoding, generates timestamps for
 raw data, maintains synchronisation across multiple streams, and provides a
 lock-free buffer implementation for easy multithreading.

Package: liboggplay1-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: liboggplay1 (= ${binary:Version}), ${misc:Depends}, liboggz-dev
Provides: liboggplay-dev
Conflicts: liboggplay-dev
Description: Library for playing OGG multimedia (development files)
 liboggplay was designed to allow drop-in playback of Xiph.Org media in an
 application. liboggplay handles demuxing and decoding, generates timestamps for
 raw data, maintains synchronisation across multiple streams, and provides a
 lock-free buffer implementation for easy multithreading.
 .
 This package contains the header files and static libraries required for
 developing applications that use liboggplay.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND = -lm
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with autoreconf

=== debian/tests/control ===
Tests: 0001-run-against-library
Depends: @, liboggplay1-dev, gcc, sound-theme-freedesktop

=== debian/watch ===
version=4
opts="mode=git" git://git.xiph.org/liboggplay.git refs/tags/v([\d\.]+)

## liboggplay 0.3.0

=== debian/changelog ===
liboggplay (0.3.0-3build1) resolute; urgency=medium

  * Rebuild against latest libtheora

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 02 Nov 2025 11:19:10 -0500

liboggplay (0.3.0-3) unstable; urgency=medium

  * QA upload.

  * Updated autopkgtest control file to use new dev package name.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 16 Mar 2025 20:16:09 +0100

liboggplay (0.3.0-2) unstable; urgency=medium

  * QA upload.

  * Source only upload after clearing NEW with binary upload.
  * Updated Standards-Version from 4.7.0 to 4.7.2.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 05 Mar 2025 18:45:57 +0100

liboggplay (0.3.0-1) unstable; urgency=medium

  * QA upload.

  * Orphaned package and changed maintainer to Debian QA Group.
  * Updated d/control Homepage and d/watch with new upstream location.
  * Added d/gbp.conf to enforce the use of pristine-tar.
  * New upstream version 0.3.0
    - Drop all patches, now included upstream.
    - Rename packages as SONAME bumped from 1 to 2.
  * Strip unusual field spacing from debian/control.
  * Use versioned copyright format URI.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 04 Mar 2025 07:53:18 +0100

liboggplay (0.2.1~git20091227-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Refresh packaging:
    + Bump debhelper compat to v13.
    + Bump Standards-Version to 4.7.0.
    + Move package description to source package section.
  * debian/*.dirs: Dropped, not needed.
  * debian/control: Add homepage field.
  * debian/patches/c19ee00e23054f47445141c5870c1ed61b38f2ad.patch:
    Cherry-pick patch from upstream to fix oggplay-dump-first-frame.
  * debian/rules: Use -Wno-incompatible-pointer-types to avoid FTBFS.
    The software upstream is mostly inactive, and we cannot expect
    upstream to properly fix it in the near future. (Closes: #1075195)
  * debian/not-installed: Explicitly do not install prebuilt docs
    and /usr/bin/oggplay-info. If we need them later, we can re-enable
    them and install them into separate packages.

 -- Boyuan Yang <byang@debian.org>  Tue, 03 Dec 2024 10:40:48 -0500

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND = -lm
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -Wno-incompatible-pointer-types

%:
	dh $@

=== debian/tests/control ===
Tests:
 0001-run-against-library,
Depends:
 gcc,
 liboggplay-dev,
 sound-theme-freedesktop,
 @,
